@ECHO OFF
REM
ECHO Ruecksetzen der Zeitstempel von Dateien auf den Erzeugungszeitpunkt - v1.00
ECHO Copyright (c) 2006 Sven Hader
ECHO.
ECHO Aufrufsyntax: reset_ma_tstmp ^<datei_1^> ...
ECHO.
ECHO Dieses Stapelverarbeitungsprogramm setzt die 'geaendert am'- und 'zuletzt
ECHO zugegriffen am'-Zeitstempel einer Anzahl von Dateien auf den Inhalt des
ECHO jeweiligen 'erzeugt am'-Zeitstempels (= Erzeugungszeitpunkt). Dabei gelten
ECHO folgende Annahmen:
ECHO   + Das Programm 'file_tstmp.exe' befindet sich im Aufrufverzeichnis oder
ECHO     in einem im Suchpfad enthaltenen Verzeichnis.
ECHO   + Dateinamen, die Leerzeichen enthalten, sind in Anfuehrungszeichen
ECHO     eingeschlossen.
ECHO.
ECHO ACHTUNG: Das Ruecksetzen der Zeitstempel kann nicht zurueckgenommen werden!
REM
REM %1 im IF mit ~, da sonst Probleme mit Dateinamen, die (z.B. wegen
REM Leerzeichen) in Anfuehrungszeichen angegeben werden
IF "%~1" == "" GOTO :EOF
ECHO.
SET /P i=Sollen die Zeitstempel zurueckgesetzt werden [j/n]:
IF /I NOT "%i%"=="j" GOTO abbruch
ECHO.
SET /A n = 0
:loop
REM %1 im IF mit ~, da sonst Probleme mit Dateinamen, die (z.B. wegen
REM Leerzeichen) in Anfuehrungszeichen angegeben werden
IF "%~1" == "" GOTO ende
REM %1 im FOR nicht in Anfuehrungszeichen, da sonst Probleme mit Dateinamen,
REM die (z.B. wegen Leerzeichen) in Anfuehrungszeichen angegeben werden
FOR %%d IN (%1) DO (
IF EXIST "%%d" (
file_tstmp -m -a -f "%%~d" -F occ -s "%%~d"
IF errorlevel 1 (
ECHO [OK]  %%~d
SET /A n += 1
) ELSE ECHO [ERR] %%~d
) ELSE ECHO [ERR] %%~d
)
SHIFT
GOTO loop
:abbruch
ECHO.
ECHO Abbruch durch Nutzer
GOTO :EOF
:ende
ECHO.
ECHO Zeitstempel von %n% Dateien zurueckgesetzt